Bug 216928 - AssertionError at com.sun.tools.javac.code.Type$TypeVar.<init>
AssertionError at com.sun.tools.javac.code.Type$TypeVar.<init>
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
7.3
All All
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
: NO73
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 20:19 UTC by jgish
Modified: 2013-06-19 11:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.75 KB, text/plain)
2012-08-15 20:19 UTC, jgish
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jgish 2012-08-15 20:19:27 UTC
Build: NetBeans IDE Dev (Build jdk8lambda-1552-on-20120808)
VM: OpenJDK 64-Bit Server VM, 22.0-b10, OpenJDK Runtime Environment, 1.7.0_03-b147
OS: Linux

User Comments:
jgish: Attempting to refactor/rename a method




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.code.Type$TypeVar.<init>(Type.java:1039)
   at com.sun.tools.javac.comp.LegacyInfer.instantiateAsUninferredVars(LegacyInfer.java:175)
   at com.sun.tools.javac.comp.LegacyInfer.instantiateUninferred(LegacyInfer.java:152)
   at com.sun.tools.javac.comp.LegacyInfer.instantiateMethod(LegacyInfer.java:225)
   at com.sun.tools.javac.comp.Resolve.rawInstantiate(Resolve.java:506)
   at com.sun.tools.javac.comp.Resolve.checkMethod(Resolve.java:535)
Comment 1 jgish 2012-08-15 20:19:31 UTC
Created attachment 123161 [details]
stacktrace
Comment 2 Marian Mirilovic 2012-10-31 10:22:21 UTC
Dusan,
why is this NO73 ?
Comment 3 Dusan Balek 2012-10-31 13:39:26 UTC
It comes from jdk8lambda build.
Comment 4 Dusan Balek 2013-06-19 11:59:09 UTC
Given source code is no more part of the current nb-javac compiler. Closing as FIXED.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo